package com.bocloud.nms.model.veeam.job;

import java.util.List;

public class MonthlyModel {

    private Boolean isEnabled;
    private String localTime;
    private String dayOfWeek;
    private String dayNumberInMonth;
    private Integer dayOfMonth;
    private List<String> months;

    public Boolean getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(Boolean enabled) {
        isEnabled = enabled;
    }

    public String getLocalTime() {
        return localTime;
    }

    public void setLocalTime(String localTime) {
        this.localTime = localTime;
    }

    public String getDayOfWeek() {
        return dayOfWeek;
    }

    public void setDayOfWeek(String dayOfWeek) {
        this.dayOfWeek = dayOfWeek;
    }

    public String getDayNumberInMonth() {
        return dayNumberInMonth;
    }

    public void setDayNumberInMonth(String dayNumberInMonth) {
        this.dayNumberInMonth = dayNumberInMonth;
    }

    public Integer getDayOfMonth() {
        return dayOfMonth;
    }

    public void setDayOfMonth(Integer dayOfMonth) {
        this.dayOfMonth = dayOfMonth;
    }

    public List<String> getMonths() {
        return months;
    }

    public void setMonths(List<String> months) {
        this.months = months;
    }

    @Override
    public String toString() {
        return "MonthlyModel{" +
                "isEnabled=" + isEnabled +
                ", localTime='" + localTime + '\'' +
                ", dayOfWeek='" + dayOfWeek + '\'' +
                ", dayNumberInMonth='" + dayNumberInMonth + '\'' +
                ", dayOfMonth=" + dayOfMonth +
                ", months=" + months +
                '}';
    }
}
